cURL
curl --request GET \
--url https://sandbox.withclasp.com/payroll_benefits/{public_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.withclasp.com/payroll_benefits/{public_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.withclasp.com/payroll_benefits/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"member": "<string>",
"line_of_coverage": "accident",
"member_contribution": "<string>",
"employer_contribution": "<string>",
"description": "<string>",
"period": "weekly",
"effective_start": "2023-12-25",
"effective_end": "2023-12-25",
"payroll_provider_external_id": "<string>",
"taxability": "pre_tax",
"coverage_type": "member",
"enrollment_plan": "<string>"
}Payroll Benefits
Retrieve Payroll Benefit
Retrieves a single payroll benefit deduction.
GET
/
payroll_benefits
/
{public_id}
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Path Parameters
Response
200 - application/json
Pattern:
^[-a-zA-Z0-9_]+$accident- Accidentaccidental_death- Accidental Death and Dismembermentcancer- Cancercommuter_parking- Commuter Parkingcommuter_transit- Commuter Transitdental- Dentaldependent_care_fsa- Dependent Care Flexible Spending Accountemployee_assistance_program- Employee Assistance Programhealthcare_fsa- Healthcare Flexible Spending Accounthospital_indemnity- Hospital Indemnityhsa- Health Savings Accountlegal_services- Legal Serviceslife- Lifelimited_purpose_fsa- Limited Purpose Flexible Spending Accountlong_term_disability- Long Term Disabilitylump_sum_disability- Lump Sum Disabilitymedical- Medicalpet_insurance- Pet Insuranceshort_term_disability- Short Term Disabilitysupplemental- Supplementaltelemedicine- Telemedicinevision- Visionvoluntary_critical_illness- Voluntary Critical Illnessvoluntary_life- Voluntary Lifevoluntary_accidental_death- Voluntary Accidental Deathvoluntary_long_term_disability- Voluntary Long Term Disabilityvoluntary_ltd- Voluntary LTDvoluntary_short_term_disability- Voluntary Short Term Disability
Available options:
accident, accidental_death, cancer, commuter_parking, commuter_transit, dental, dependent_care_fsa, employee_assistance_program, healthcare_fsa, hospital_indemnity, hsa, legal_services, life, limited_purpose_fsa, long_term_disability, lump_sum_disability, medical, pet_insurance, short_term_disability, supplemental, telemedicine, vision, voluntary_critical_illness, voluntary_life, voluntary_accidental_death, voluntary_long_term_disability, voluntary_ltd, voluntary_short_term_disability Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Maximum string length:
255weekly- Weeklybiweekly- Biweeklysemimonthly- Semimonthlymonthly- Monthly
Available options:
weekly, biweekly, semimonthly, monthly Maximum string length:
255pre_tax- Pre-taxpost_tax- Post-tax
Available options:
pre_tax, post_tax member- Member Onlymember_spouse- Member + Spousemember_child- Member + Childmember_children- Member + Childrenmember_family- Member + Family
Available options:
member, member_spouse, member_child, member_children, member_family